<template>
  <div>
    <Popup ref="layer" :closeHidePage="true" :title="title" :left="left">
      <el-form ref="form" label-width="90px">
        <el-form-item label="亮度:">
          <el-slider
            :step="0.1"
            :min="0"
            :max="3"
            :value="mapStatus.brightness"
            @input="change('brightness', $event)"
          >
          </el-slider>
        </el-form-item>
        <el-form-item label="对比度:">
          <el-slider
            :step="0.1"
            :min="0"
            :max="3"
            :value="mapStatus.contrast"
            @input="change('contrast', $event)"
          >
          </el-slider>
        </el-form-item>
        <el-form-item label="饱和度:">
          <el-slider
            :step="0.1"
            :min="0"
            :max="3"
            :value="mapStatus.saturation"
            @input="change('saturation', $event)"
          >
          </el-slider>
        </el-form-item>
      </el-form>
    </Popup>
  </div>
</template>

<script>
import Popup from "@tools/Popup";
import baseVuex from "@mixin/baseVuex";
export default {
  name: "ColorAdjustment",
  components: {
    Popup,
  },
  mixins: [baseVuex],
  data() {
    return {
      title: "颜色矫正",
      left: "calc(100% - 380px)",
    };
  },
  mounted() {},
  methods: {
    open() {
      // 打开弹窗
      this.$refs.layer.open();
    },
    change(type, value) {
      window.sgworld && (sgworld[type] = value);
      this.changeMapStatus({ type, value });
    },
  },
};
</script>

<style scoped lang="less" scoped>
.el-form-item {
  margin-bottom: 5px !important;
}
.el-divider {
  margin: 5px 0;
}
</style>
